uk.gov.hmrc.alertconfig.builders

# TeamAlertConfigBuilder

###
Related Docs: object TeamAlertConfigBuilder | package builders

#### case class TeamAlertConfigBuilder(services: Seq[String], handlers: Seq[String] = Seq("noop"), exceptionThreshold: Int = 2, http5xxThreshold: Http5xxThreshold = Http5xxThreshold(), http5xxPercentThreshold: Double = 100, httpAbsolutePercentSplitThreshold: Seq[HttpAbsolutePercentSplitThreshold] = Nil, containerKillThreshold: Int = 1, httpStatusThresholds: Seq[HttpStatusThreshold] = Nil, logMessageThresholds: Seq[LogMessageThreshold] = Nil, totalHttpRequestThreshold: Int = Int.MaxValue, averageCPUThreshold: Int = Int.MaxValue, platformService: Boolean = false) extends Builder[Seq[AlertConfigBuilder]] with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, Builder[Seq[AlertConfigBuilder]], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TeamAlertConfigBuilder
2. Serializable
3. Serializable
4. Product
5. Equals
6. Builder
7. AnyRef
8. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TeamAlertConfigBuilder(services: Seq[String], handlers: Seq[String] = Seq("noop"), exceptionThreshold: Int = 2, http5xxThreshold: Http5xxThreshold = Http5xxThreshold(), http5xxPercentThreshold: Double = 100, httpAbsolutePercentSplitThreshold: Seq[HttpAbsolutePercentSplitThreshold] = Nil, containerKillThreshold: Int = 1, httpStatusThresholds: Seq[HttpStatusThreshold] = Nil, logMessageThresholds: Seq[LogMessageThreshold] = Nil, totalHttpRequestThreshold: Int = Int.MaxValue, averageCPUThreshold: Int = Int.MaxValue, platformService: Boolean = false)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### val averageCPUThreshold: Int

6. #### def build: Seq[AlertConfigBuilder]

   Definition Classes
     TeamAlertConfigBuilder → Builder

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### val containerKillThreshold: Int

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### val exceptionThreshold: Int

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### val handlers: Seq[String]

14. #### val http5xxPercentThreshold: Double

15. #### val http5xxThreshold: Http5xxThreshold

16. #### val httpAbsolutePercentSplitThreshold: Seq[HttpAbsolutePercentSplitThreshold]

17. #### val httpStatusThresholds: Seq[HttpStatusThreshold]

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### def isPlatformService(platformService: Boolean): TeamAlertConfigBuilder

20. #### val logMessageThresholds: Seq[LogMessageThreshold]

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### val platformService: Boolean

25. #### val services: Seq[String]

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### val totalHttpRequestThreshold: Int

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### def withAverageCPUThreshold(averageCPUThreshold: Int): TeamAlertConfigBuilder

32. #### def withContainerKillThreshold(containerKillThreshold: Int): TeamAlertConfigBuilder

33. #### def withExceptionThreshold(exceptionThreshold: Int): TeamAlertConfigBuilder

34. #### def withHandlers(handlers: String*): TeamAlertConfigBuilder

35. #### def withHttp5xxThreshold(http5xxThreshold: Int, severity: AlertSeverityType = AlertSeverity.critical): TeamAlertConfigBuilder

36. #### def withHttpAbsolutePercentSplitThreshold(threshold: HttpAbsolutePercentSplitThreshold): TeamAlertConfigBuilder

37. #### def withHttpStatusThreshold(threshold: HttpStatusThreshold): TeamAlertConfigBuilder

38. #### def withLogMessageThreshold(message: String, threshold: Int, lessThanMode: Boolean = false): TeamAlertConfigBuilder

39. #### def withTotalHttpRequestsCountThreshold(threshold: Int): TeamAlertConfigBuilder

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Builder[Seq[AlertConfigBuilder]]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped